#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 deferred-folds
version:              0.9.10.1
visibility:           public
id:                   deferred-folds-0.9.10.1-4d5SNeuqNe0LW4V5FLqCwh
key:                  deferred-folds-0.9.10.1-4d5SNeuqNe0LW4V5FLqCwh
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Metrix.AI Tech Team <tech@metrix.ai>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
stability:            Experimental
homepage:             https://github.com/metrix-ai/deferred-folds
synopsis:             Abstractions over deferred folds
description:
    This library is in an experimental state.
    Users should be prepared for frequent updates.

category:             Folding
abi:                  d52ed5ace2552b677448f3395b63ba5a
exposed:              True
exposed-modules:
    DeferredFolds.Unfoldl DeferredFolds.UnfoldlM DeferredFolds.Unfoldr

hidden-modules:
    DeferredFolds.Types DeferredFolds.UnfoldrM
    DeferredFolds.Defs.Unfoldl DeferredFolds.Defs.UnfoldlM
    DeferredFolds.Defs.Unfoldr DeferredFolds.Defs.UnfoldrM
    DeferredFolds.Prelude

import-dirs:          /usr/lib/ghc-8.8.2/site-local/deferred-folds-0.9.10.1
library-dirs:         /usr/lib/ghc-8.8.2/site-local/deferred-folds-0.9.10.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.2/deferred-folds-0.9.10.1
hs-libraries:         HSdeferred-folds-0.9.10.1-4d5SNeuqNe0LW4V5FLqCwh
depends:
    base-4.13.0.0 bytestring-0.10.10.0 containers-0.6.2.1
    foldl-1.4.6-9NkKiXPkm563jUl1ZnwjFZ
    hashable-1.2.7.0-BxGxAJSPpuh3YKsULesjmE
    primitive-0.7.0.0-BJKNB1CdxR09IS7Mq0RtDA transformers-0.5.6.2
    unordered-containers-0.2.10.0-7SjMUGSLAdi81baGHdq4uZ
    vector-0.12.1.2-8Yi5LCISmVD9SvAlXGSx9t

haddock-interfaces:
    /usr/share/doc/haskell-deferred-folds/html/deferred-folds.haddock

haddock-html:         /usr/share/doc/haskell-deferred-folds/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

